## org.apache.batik.css.engine.value
Class IdentifierManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  AbstractColorManager, AlignmentBaselineManager, ClipRuleManager, ColorInterpolationManager, ColorRenderingManager, DirectionManager, DisplayManager, DominantBaselineManager, FillRuleManager, FontStretchManager, FontStyleManager, FontVariantManager, FontWeightManager, ImageRenderingManager, OverflowManager, PointerEventsManager, ShapeRenderingManager, SrcManager, StrokeLinecapManager, StrokeLinejoinManager, TextAnchorManager, TextRenderingManager, UnicodeBidiManager, VisibilityManager, WritingModeManager

public abstract class IdentifierManager
extends AbstractValueManager

This class provides a manager for the property with support for identifier values.

Constructor Summary
`IdentifierManager()`

Method Summary
`Value` `createStringValue(short type, java.lang.String value, CSSEngine engine)` Implements `ValueManager.createStringValue(short,String,CSSEngine)`.
`Value` `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`protected abstract StringMap` `getIdentifiers()` Returns the map that contains the name/value mappings for each possible identifiers.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, getPropertyName, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.ValueManager
`getDefaultValue, getPropertyName, isInheritedProperty`

Constructor Detail

### IdentifierManager

    public IdentifierManager()

Method Detail

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### createStringValue

    public Value createStringValue(short type,
                                   java.lang.String value,
                                   CSSEngine engine)
                            throws org.w3c.dom.DOMException

  Implements `ValueManager.createStringValue(short,String,CSSEngine)`.

  Specified by:
    `createStringValue` in interface `ValueManager`
  Overrides:
    `createStringValue` in class `AbstractValueManager`
  Throws:
    `org.w3c.dom.DOMException`

### getIdentifiers

    protected abstract StringMap getIdentifiers()

  Returns the map that contains the name/value mappings for each possible identifiers.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.